# locale_facets.h File Reference

`#include <ctime>`
`#include <cwctype>`
`#include <iosfwd>`
`#include <bits/ios_base.h>`
`#include <streambuf>`
`#include <bits/ctype_base.h>`
`#include <bits/ctype_inline.h>`
`#include <bits/codecvt.h>`
`#include <bits/time_members.h>`
`#include <bits/messages_members.h>`

Include dependency graph for locale_facets.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file locale_facets.h.